Create new invoice

Enable the merchant to add a new invoice and receive the payment URL.

NOTE: This operation must be performed on the server-side. Then send the result payment URL to the client-side.

For test card please visit: https://developer.paylink.sa/test-cards

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sending Digital Product

To use the "Sending Digital Product" feature. First, create a new invoice and set any product of the invoice as a digital product by selecting the "isDigital" attribute to "true."

Body Params

GatewayOrderRequest

This data contains information about the invoice in Paylink system.

double

Amount of the invoice. (mandatory)

string

Call back URL that will be called by the Paylink to the merchant system. This callback URL will receive two parameters: orderNumber, and transactionNo. (mandatory)

string

Call back URL to cancel orders that will be called by the Paylink to the merchant system. This callback URL will receive two parameters: orderNumber, and transactionNo. (mandatory)

string

The client email

string

The client mobile (mandatory)

string

The client name (mandatory)

string

If the currency is not SAR, then send it with the invoice. Paylink will convert it to SAR.

string

The invoice note

string

Unique order number in the merchant system (mandatory)

products
array of objects

List of products of the invoice. This list is optional.

products
Headers
string
required

Access Token

Responses

201

Created

400

Bad request.

401

Bad credentials

403

Forbidden

404

Not Found

406

Not Acceptable. If the merchant exceed the daily or monthly limit.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json